octonet - Segnalazione #76

App user
11/23/2016 09:42 AM - Enrico Zini

Status: Chiuso Start date: 12/12/2016

Priority: Normale Due date:

Assignee: Christopher R. Gabriel % Done: 100%

Category: Estimated time: 0.00 hour

Target version:

Description

Porting del vecchio plugin user

Subtasks:

Segnalazione # 106: Creazione in massa di utenti Chiuso
Segnalazione # 107: Utenti: importazione da file CSV Chiuso
Segnalazione # 108: Modifica diretta utenti da lista Chiuso
Related issues:

Related to octonet - Segnalazione #78: Elenco utenti Chiuso 11/23/2016

Associated revisions

Revision cf0ca351 - 12/20/2016 07:13 PM - Enrico Zini

Sync with master. refs: #76

Revision 770235f3 - 12/21/2016 09:59 AM - Enrico Zini

Renamed csvimport to csvpreview. refs: #76

Revision 16a5fe05 - 12/21/2016 11:04 AM - Enrico Zini
Sync with t71. refs: #76

Revision b998fcfb - 12/21/2016 01:49 PM - Enrico Zini

Proposal of refactoring of actions.js. refs: #76

Revision a2f92283 - 12/21/2016 02:38 PM - Enrico Zini

Simplified action_url creation. refs: #76

Revision 0356e7e9 - 12/21/2016 03:05 PM - Enrico Zini

Proposal of refactoring of actions.js. refs: #76

Revision fc3d4c26 - 12/21/2016 03:05 PM - Enrico Zini

Simplified action_url creation. refs: #76

Revision c755b88f - 12/21/2016 03:53 PM - Enrico Zini

Tested options action. refs: #76

Revision 0812¢c186 - 12/21/2016 04:01 PM - Enrico Zini

Tested options action. refs: #76

Revision c6b1219d - 12/21/2016 04:13 PM - Enrico Zini

Implemented user actions for users. refs: #76
Revision 800dcd60 - 12/22/2016 11:09 AM - Enrico Zini

Implemented base user edit. refs: #76

Revision a745a9c8 - 12/22/2016 11:12 AM - Enrico Zini

Second half of previous commit (missed a git add -u). refs:

Revision 0d4ec4a3 - 12/22/2016 11:21 AM - Enrico Zini

Activated user actions in user edit page. refs: #76

Revision 3b3a0af7 - 12/22/2016 11:33 AM - Enrico Zini
Added editing of user groups. refs: #76

Revision 117e08ae - 12/22/2016 12:49 PM - Enrico Zini
Added editing of netperms. refs: #76

Revision c4e53df2 - 12/22/2016 01:14 PM - Enrico Zini

s/user/octofuss_user/ in context. refs: #76

Revision b9bfdba0 - 12/22/2016 01:22 PM - Enrico Zini

On edit/save, redirect to detail. refs: #76

Revision d985e32b - 12/22/2016 03:11 PM - Enrico Zini

Implemented editing quota. refs: #76

Revision f82448c¢8 - 12/22/2016 03:33 PM - Enrico Zini

Implemented user create. refs: #76

Revision cf11ce2b - 12/23/2016 11:41 AM - Enrico Zini
Implemented group edit. refs: #76

Revision 135a7628 - 12/23/2016 11:42 AM - Enrico Zini

Removed commented out old code. refs: #76

Revision ddbb1307 - 12/23/2016 02:53 PM - Enrico Zini

#76

Implemented enable/disable user as a normal view. refs: #76

Revision bbffd0da - 12/23/2016 03:16 PM - Enrico Zini

Replaced user actions with a plain form. refs: #76

Revision 6d729316 - 12/23/2016 03:43 PM - Enrico Zini

Redone group actions with normal forms. refs: #76

History

#1 - 11/23/2016 12:07 PM - Christopher R. Gabriel

- Related to Segnalazione #78: Elenco utenti added

#2 - 11/25/2016 11:10 AM - Christopher R. Gabriel
- Assignee set to Christopher R. Gabriel

Prendo io per dettagliare alcuni requisiti della Ul
#3 - 11/25/2016 11:10 AM - Christopher R. Gabriel

- Status changed from Nuovo to In elaborazione

#4 - 12/23/2016 03:46 PM - Christopher R. Gabriel

- Status changed from In elaborazione to Chiuso

Eseguito merge in master.
